-- fix ottru not having naval class type (needed for the embarkation fix). Also means they get the Hermione model memento bonus
INSERT OR REPLACE INTO TypeTags(Type, Tag) VALUES ('UNIT_OTTRU', 'UNIT_CLASS_NAVAL');

-- Fix missionaries incense production
INSERT OR REPLACE INTO  ModifierArguments(ModifierId, Name, "Value") VALUES
('MOD_INCENSE_CITY_MISSIONARY_PRODUCTION', 'Percent', '100');

-- Iron does grant bonuses to Ranged units

INSERT INTO GameModifiers(ModifierId) VALUES
('MOD_SLTH_BUGFIX_IRON_RANGED_COMBAT_STRENGTH');

INSERT INTO Modifiers(ModifierId, ModifierType, SubjectRequirementSetId) VALUES
('MOD_SLTH_BUGFIX_IRON_RANGED_COMBAT_STRENGTH', 'MOD_IRON_INFANTRY_COMBAT_STRENGTH_TYPE', 'MOD_SLTH_BUGFIX_IS_RANGED_SUBJECT_REQS');

INSERT INTO ModifierArguments(ModifierId, Name, "Value") VALUES
('MOD_SLTH_BUGFIX_IRON_RANGED_COMBAT_STRENGTH', 'Amount', '1'),
('MOD_SLTH_BUGFIX_IRON_RANGED_COMBAT_STRENGTH', 'ResourceType', 'RESOURCE_IRON');

INSERT INTO ModifierMetadatas(ModifierID, FieldName, String) VALUES
('MOD_SLTH_BUGFIX_IRON_RANGED_COMBAT_STRENGTH', 'ResourceType', 'RESOURCE_IRON');

INSERT INTO Requirements(RequirementId, RequirementType) VALUES
('MOD_SLTH_BUGFIX_IRON_RANGED_COMBAT_STRENGTH_IS_RANGED_REQ', 'REQUIREMENT_UNIT_TAG_MATCHES');

INSERT INTO RequirementArguments(RequirementId, Name, "Value") VALUES
('MOD_SLTH_BUGFIX_IRON_RANGED_COMBAT_STRENGTH_IS_RANGED_REQ', 'Tag', 'UNIT_CLASS_RANGED');

INSERT INTO RequirementSets(RequirementSetId, RequirementSetType) VALUES
('MOD_SLTH_BUGFIX_IS_RANGED_SUBJECT_REQS', 'REQUIREMENTSET_TEST_ALL');

INSERT INTO RequirementSetRequirements(RequirementSetId, RequirementId) VALUES
('MOD_SLTH_BUGFIX_IS_RANGED_SUBJECT_REQS', 'MOD_SLTH_BUGFIX_IRON_RANGED_COMBAT_STRENGTH_IS_RANGED_REQ');
